Neidio i'r cynnwys

Moondream3 Preview [Segment]

Integreiddio

ID y model moondream3-preview/segment
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/moondream3-preview/segment?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
    "object": "fox"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

Y cais hwn: ≈$0.003 3 o gredydau API · ≈ ₽0.32 Ei redeg ar y dudalen hon

Cael allwedd API
Moondream Golygu Delweddau Mewnbynnau cyfeirio #mask#segmentation

Yn segmentu gwrthrych a enwir mewn delwedd, gan ddychwelyd mwgwd, blwch terfyn a llwybr SVG

Moondream · Delwedd

Mae eich canlyniad cyntaf yn mynd yma

Adeiladwch gais isod a'i redeg gyda'ch allwedd API. Mae allbynnau'n cael eu copïo i'n storio, wedi'u cadw am byth neu am 7 diwrnod am ddim.

Adeiladu cais

Cynhyrchir rheolyddion o sgema'r model. Mae'r cod a'r pris yn diweddaru wrth i chi eu newid.

•gofynnol image_url
Gollyngwch ffeil, neu

URL sy'n pwyntio at y ddelwedd i'w phrosesu.

•gofynnol

Gwrthrych targed ar gyfer segmentu yn y ddelwedd.

Uwch preview · spatial_references · settings

Arweiniad gofodol ar gyfer segmentu, wedi'i ddarparu fel rhestr o wrthrychau Point y mae eu haelodau'n x ac y, neu fel rhestr o araeau cyfesurynnau. Rhaid i bob arae gynnwys naill ai 2 fflôt (x,y) neu 4 fflôt (x1,y1,x2,y2).

Gosodiadau model segmentu sy'n rheoli samplu.

POST /run/moondream3-preview/segment?wait=20 dyfynbris → $0.003
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/moondream3-preview/segment?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
    "object": "fox"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

Rhedeg y cais hwn

Mae'ch allwedd yn aros yn y porwr hwn: caiff ei hanfon at Doitong API yn unig a'i chadw (localStorage) dim ond os ticiwch Cofio. Cael allwedd API

Ynglŷn â Moondream3 Preview [Segment]

Yn segmentu'r gwrthrych a roddir yn `object` o fewn y ddelwedd yn `image_url`. Gall y canlyniad gynnwys delwedd mwgwd, blwch terfyn a data llwybr SVG; maent yn null os na chanfyddir dim. Gall `spatial_references` ddarparu pwyntiau i arwain y segmentu, ac mae `settings` yn addasu samplu. Gosodwch `preview` i gael mwgwd deuaidd.

Paramedrau

Anfonwch naill ai'r enw canonaidd neu'r enw brodorol, nid y ddau. Enwau canonaidd

EnwMath RhagosodedigCaniateir Disgrifiad
image_urlgofynnol image
Mathurl · image
URL sy'n pwyntio at y ddelwedd i'w phrosesu.
objectgofynnol
Mathstring
Gwrthrych targed ar gyfer segmentu yn y ddelwedd.
spatial_referencesdewisol
Mathany[]
Arweiniad gofodol ar gyfer segmentu, wedi'i ddarparu fel rhestr o wrthrychau Point y mae eu haelodau'n x ac y, neu fel rhestr o araeau cyfesurynnau. Rhaid i bob arae gynnwys naill ai 2 fflôt (x,y) neu 4 fflôt (x1,y1,x2,y2).
settingsdewisol
Mathobject
Gosodiadau model segmentu sy'n rheoli samplu.
settings.temperaturedewisol
Mathnumber
Rhagosodedig1
0 – 1
Mae tymheredd samplu yn gosod y cydbwysedd rhwng allbwn ffocwsog, penderfynol ar osodiadau is a mwy o haprwydd ar osodiadau uchel.
settings.top_pdewisol
Mathnumber
Rhagosodedig1
0 – 1
Màs tebygolrwydd ar gyfer samplu niwclews, o 0 i 1.
settings.max_tokensdewisol
Mathinteger | null
≥ 1
Terfyn uchaf ar docynnau a gynhyrchir.
previewdewisol
Mathboolean
Rhagosodedigfalse
A ddylid dychwelyd mwgwd deuaidd y ddelwedd ynghyd â rhagolwg allbwn.
gofynnol Enw canonaidd, derbyniol hefyd

Mae paramedrau ffeil yn derbyn URL cyhoeddus https://, URI data: hyd at 10 MB, neu file_url uwchlwythiad. Ffeiliau

Allbwn

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "moondream3-preview/segment",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 3,
    "usd": "0.003",
    "charged": 3,
    "refunded": 0
  },
  "input": {
    "image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
    "object": "fox"
  },
  "output": {
    "finish_reason": "stop",
    "usage_info": {
      "input_tokens": 1,
      "output_tokens": 1,
      "prefill_time_ms": 1.0,
      "decode_time_ms": 1.0,
      "ttft_ms": 1.0
    },
    "image": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_name": "0-output.jpeg",
      "file_size": 1843200,
      "width": 1024,
      "height": 768
    },
    "path": "M.657,.996C.610,.984,.529,.938,.447,.875C.411,.848,.363,.815,.341,.802C.188,.714,.093,.623,.038,.511C.011,.455,.000,.406,.000,.340C.000,.269,.006,.234,.025,.186C.051,.123,.092,.079,.161,.042C.240,-0.000,.355,-0.011,.433,.017C.462,.027,.535,.066,.571,.091C.701,.180,.807,.265,.850,.311C.911,.379,.962,.468,.984,.545C.995,.585,.997,.601,.997,.664C.997,.765,.984,.811,.935,.879C.878,.958,.796,1.001,.705,1.000C.685,.999,.664,.998,.657,.996z",
    "bbox": {
      "x_min": 1.0,
      "y_min": 1.0,
      "x_max": 1.0,
      "y_max": 1.0
    }
  },
  "outputs": [
    {
      "type": "image",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "width": 1024,
      "height": 768,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
Eich ffeiliau, eich dewisMae pob outputs[].url yn gopi ar ein storio: wedi'i gadw am byth (telir fesul GB-mis) neu am 7 diwrnod am ddim, yn ôl gosodiad eich cyfrif neu ?storage=.
Yr un siâp ar bob modeltype, url, content_type, width, height a duration, ar gyfer delweddau, fideo a sain fel ei gilydd. Gwrthrych canlyniad y model ei hun yw output.
Meysydd yr allbwn
finish_reason
stringRheswm y daeth cynhyrchu allbwn i ben.
usage_info
object {input_tokens, output_tokens, prefill_time_ms, decode_time_ms, ttft_ms}Manylion defnydd y cais.
image
object {url, content_type, file_name, file_size, width, height} | nullCanlyniad rhagolwg segmentu: null os na ofynnwyd am gynhyrchu rhagolwg neu os na chanfu canfod gwrthrychau ddim; fel arall, delwedd sy'n cynnwys y mwgwd.
path
string | nullData llwybr SVG a ddychwelir pan ganfyddir mwgwd segmentu; fel arall, null.
bbox
object {x_min, y_min, x_max, y_max} | nullBlwch terfyn a ddychwelir ar gyfer gwrthrych a ganfuwyd ac a segmentwyd; fel arall, null.

Mwy o fodelau: Golygu Delweddau

Ar gyfer asiantau AI: mae'r dudalen hon fel Markdown ar gael yn https://doitong.com/cy/developers/models/moondream3-preview/segment.md. Pob model a chanllaw: https://doitong.com/developers/llms.txt